﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGridDemo
{
    public class Model:INotifyPropertyChanged
    {
        private string productId;
        private string productName;
        private int? salesID;
        private string customerName;
        private string customerId;
        private string customerBranch;
        private int? perecent;
        private string shipmentdetails;
        private string shipmentplace;

        public string ProductId
        {
            get { return productId; }
            set { productId = value; OnPropertyChanged("ProductId"); }
        }
       
        public string ProductName
        {
            get { return productName; }
            set { productName = value; OnPropertyChanged("ProductName"); }
        }
      
        public int? SalesID
        {
            get { return salesID; }
            set { salesID = value; OnPropertyChanged("SalesID"); }
        }
       
        public string CustomerName
        {
            get { return customerName; }
            set { customerName = value; OnPropertyChanged("CustomerName"); }
        }
       
        public string CustomerId
        {
            get { return customerId; }
            set { customerId = value; OnPropertyChanged("CustomerId"); }
        }        

        public string CustomerBranch
        {
            get { return customerBranch; }
            set { customerBranch = value; OnPropertyChanged("CustomerBranch"); }
        }
        
        public int? Percent
        {
            get { return perecent; }
            set { perecent = value; OnPropertyChanged("Percent"); }
        }
        
        public string ShipmentDetails
        {
            get { return shipmentdetails; }
            set { shipmentdetails = value; OnPropertyChanged("ShipmentDetails"); }
        }
        
        public string ShipmentPlace
        {
            get { return shipmentplace; }
            set { shipmentplace = value; OnPropertyChanged("ShipmentPlace"); }
        }
        public Model(string productId, string productName, int? salesID, string customerName, string customerId, string customerBranch, int? perecent, string shipmentdetails, string shipmentplace)
        {
            this.productId = productId;
            this.productName = productName;
            this.salesID = salesID;
            this.customerName = customerName;
            this.customerId = customerId;
            this.customerBranch = customerBranch;
            this.perecent = perecent;
            this.shipmentdetails = shipmentdetails;
            this.shipmentplace = shipmentplace;
        }
        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(String prop)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(prop));
            }
        }
    }
}
